org.apache.olingo.commons.api.edmx

## Class EdmxReferenceIncludeAnnotation

- java.lang.Object
- - org.apache.olingo.commons.api.edmx.EdmxReferenceIncludeAnnotation

-     public class EdmxReferenceIncludeAnnotation
      extends Object

  POJO for Edmx Reference Include Annotation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmxReferenceIncludeAnnotation(String termNamespace)` Create include annotation with given termNamespace and empty qualifier and targetNamespace.
    `EdmxReferenceIncludeAnnotation(String termNamespace, String qualifier, String targetNamespace)` Create include annotation with given termNamespace, qualifier and targetNamespace.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQualifier()`
    `String` | `getTargetNamespace()`
    `String` | `getTermNamespace()`
    `EdmxReferenceIncludeAnnotation` | `setQualifier(String qualifier)` Set qualifier for this include annotation.
    `EdmxReferenceIncludeAnnotation` | `setTargetNamespace(String targetNamespace)` Set target namespace for this include annotation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmxReferenceIncludeAnnotation

          public EdmxReferenceIncludeAnnotation(String termNamespace)

      Create include annotation with given termNamespace and empty qualifier and targetNamespace.
      Parameters:
        `termNamespace` - of include annotation

    - #### EdmxReferenceIncludeAnnotation

          public EdmxReferenceIncludeAnnotation(String termNamespace,
                                                String qualifier,
                                                String targetNamespace)

      Create include annotation with given termNamespace, qualifier and targetNamespace.
      Parameters:
        `termNamespace` - of include annotation
        `qualifier` - of include annotation
        `targetNamespace` - of include annotation

  - ### Method Detail

    - #### getTermNamespace

          public String getTermNamespace()

      Returns:
        TermNamespace of the include annotation

    - #### getQualifier

          public String getQualifier()

      Returns:
        Qualifier if one defined; null otherwise

    - #### setQualifier

          public EdmxReferenceIncludeAnnotation setQualifier(String qualifier)

      Set qualifier for this include annotation.
      Parameters:
        `qualifier` - for include annotation
      Returns:
        this include annotation

    - #### getTargetNamespace

          public String getTargetNamespace()

      Returns:
        targetNamespace if defined; null otherwise

    - #### setTargetNamespace

          public EdmxReferenceIncludeAnnotation setTargetNamespace(String targetNamespace)

      Set target namespace for this include annotation.
      Parameters:
        `targetNamespace` - for include annotation
      Returns:
        this include annotation

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.